Package org.kapott.hbci.sepa.jaxb.pain_002_002_02

# Class PartyIdentificationSEPA5

java.lang.Object
org.kapott.hbci.sepa.jaxb.pain_002_002_02.PartyIdentificationSEPA5

public class PartyIdentificationSEPA5 extends Object

Java class for PartyIdentificationSEPA5 complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="PartyIdentificationSEPA5">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="Nm" type="{urn:swift:xsd:$pain.002.002.02}Max70Text" minOccurs="0"/>
             <element name="PstlAdr" type="{urn:swift:xsd:$pain.002.002.02}PostalAddressSEPA" minOccurs="0"/>
             <element name="Id" type="{urn:swift:xsd:$pain.002.002.02}PartySEPAChoice" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

## Field Summary

Fields
Modifier and Type
Field
Description
`protected PartySEPAChoice`
`id`
`protected String`
`nm`
`protected PostalAddressSEPA`
`pstlAdr`

## Constructor Summary

Constructors
Constructor
Description
`PartyIdentificationSEPA5()`

## Method Summary

Modifier and Type
Method
Description
`PartySEPAChoice`
`getId()`
Gets the value of the id property.
`String`
`getNm()`
Gets the value of the nm property.
`PostalAddressSEPA`
`getPstlAdr()`
Gets the value of the pstlAdr property.
`void`
`setId(PartySEPAChoice value)`
Sets the value of the id property.
`void`
`setNm(String value)`
Sets the value of the nm property.
`void`
`setPstlAdr(PostalAddressSEPA value)`
Sets the value of the pstlAdr property.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### nm

protected String nm

### pstlAdr

protected PostalAddressSEPA pstlAdr

### id

protected PartySEPAChoice id

## Constructor Details

### PartyIdentificationSEPA5

public PartyIdentificationSEPA5()

## Method Details

### getNm

public String getNm()
Gets the value of the nm property.

Returns:
  possible object is `String`

### setNm

public void setNm(String value)
Sets the value of the nm property.

Parameters:
  `value` - allowed object is `String`

### getPstlAdr

public PostalAddressSEPA getPstlAdr()
Gets the value of the pstlAdr property.

Returns:
  possible object is `PostalAddressSEPA`

### setPstlAdr

public void setPstlAdr(PostalAddressSEPA value)
Sets the value of the pstlAdr property.

Parameters:
  `value` - allowed object is `PostalAddressSEPA`

### getId

public PartySEPAChoice getId()
Gets the value of the id property.

Returns:
  possible object is `PartySEPAChoice`

### setId

public void setId(PartySEPAChoice value)
Sets the value of the id property.

Parameters:
  `value` - allowed object is `PartySEPAChoice`